#!/usr/perl5/bin/perl -w
#
# Copyright (c) 2001 by Sun Microsystems, Inc.
# All rights reserved.
#
#ident	"@(#)nodes.pl	1.5	01/08/23 SMI"
#
# Return the nodelist for the Java topology applet

require 5.005;
use strict;
use lib '/opt/SUNWscvw/lib/perl';
use Cluster::Cgi;
use Cluster::Common;
use Sun::Solaris::Utils qw(gettext);

# Create the html query object
my $q = new Cluster::Cgi;
print $q->header(-expires => "now");

# Create a cluster object for logging
my $cluster = new Cluster::Common;

# Get the list of nodes
my @nodelist = $cluster->get_nodelist();

# Print the number of nodes
print $#nodelist + 1;
print "\n";

my $node;

# Print the nodenames
foreach $node (@nodelist) {
    print "$node\n";
	my $nodestate = $cluster->get_nodestate($node);
	print "$nodestate\n";
}
