#!/usr/perl5/bin/perl -w
#
# Copyright (c) 2001 by Sun Microsystems, Inc.
# All rights reserved.
#
#pragma ident   "@(#)remove_done_patches_state_file.pl 1.1     01/08/14 SMI"
#
# In case the patches are added multiple times, we need to reset the barrier
# that caused step6.pl to synchronize the patch addition.  To reset, we need to
# remove the state file that SPM is waiting for.

require 5.005;
use strict;
use lib '/opt/SUNWscvw/lib/perl';
use Cluster::Cgi;
use Cluster::Install;

# Create a install object
my $install = new Cluster::Install;
# Create a cgi object
my $q = new Cluster::Cgi;

# Print the header
print $q->header();

$ENV{"PATH"} = "/usr/sbin:/usr/bin";

# File definitions
my $logdir = $install->get_logdir();
my $DONE_PATCHES_FILE = "$logdir/done_patches";

# Remove the state file.
`rm $DONE_PATCHES_FILE`;
