#!/usr/perl5/bin/perl -w
#
# Copyright (c) 2001 by Sun Microsystems, Inc.
# All rights reserved.
#
#ident	"@(#)monitor.pl	1.4	01/08/23 SMI"
#
# Cluster status page for the Java monitor applet

require 5.005;
use strict;
use lib '/opt/SUNWscvw/lib/perl';
use Cluster::Cgi;
use Cluster::Common;

# Create the html query object
my $q = new Cluster::Cgi;

# Create the cluster common object
my $cluster = new Cluster::Common;

# Print header
print $q->header(-expires => "now");

# Define local vars
my ($cluster_state, $online_nodelist_string) = $cluster->get_cluster_state();

# Print output for the java monitor to parse
print "CLUSTER_STATE=$cluster_state\n";
print "ONLINE_NODELIST=$online_nodelist_string\n";
